from setuptools import setup

setup(name='pelican_image_process',
      version='1.3.0',
      url='https://github.com/whiskyechobravo/image_process',
      author="whiskyechobravo and other contributors",
      author_email="info@whiskyechobravo.com",
      description="Pelican plugin for automating image processing. Written in Python.",
      long_description=open("README.rst").read(),
      license='GNU Affero General Public License v3',
      platforms=['any'],
      packages=['pelican_image_process'],
      package_data={'': ['LICENSE', 'CHANGELOG', "README.rst"]},
      install_requires=[
          'beautifulsoup4',
          'pelican',
          'six',
          'pillow'
      ],
      classifiers=[
          'Framework :: Pelican :: Plugins',
          'Development Status :: 5 - Production/Stable',
          'Programming Language :: Python :: 3',
          'Programming Language :: Python :: 3.5',
          'Programming Language :: Python :: 3.6',
          'Programming Language :: Python :: 3.7',
          'Programming Language :: Python :: 3 :: Only',
          'Natural Language :: English',
          'Environment :: Console',
          'Environment :: Web Environment',
          'Intended Audience :: Developers',
          'Operating System :: OS Independent',
          'License :: OSI Approved :: GNU Affero General Public License v3',
          'Topic :: Software Development :: Libraries :: Python Modules',
          'Topic :: Multimedia :: Graphics',
      ],
      zip_safe=True,)
